## EMailSignatureTreeView

EMailSignatureTreeView

## Functions

GtkWidget * | e_mail_signature_tree_view_new ()
void | e_mail_signature_tree_view_refresh ()
ESourceRegistry * | e_mail_signature_tree_view_get_registry ()
ESource * | e_mail_signature_tree_view_ref_selected_source ()
void | e_mail_signature_tree_view_set_selected_source ()

## Types and Values

struct | EMailSignatureTreeView

## Description

## Functions

### e_mail_signature_tree_view_new ()

    GtkWidget *
    e_mail_signature_tree_view_new (ESourceRegistry *registry);

### e_mail_signature_tree_view_refresh ()

    void
    e_mail_signature_tree_view_refresh (EMailSignatureTreeView *tree_view);

### e_mail_signature_tree_view_get_registry ()

    ESourceRegistry *
    e_mail_signature_tree_view_get_registry
                                   (EMailSignatureTreeView *tree_view);

### e_mail_signature_tree_view_ref_selected_source ()

    ESource *
    e_mail_signature_tree_view_ref_selected_source
                                   (EMailSignatureTreeView *tree_view);

### e_mail_signature_tree_view_set_selected_source ()

    void
    e_mail_signature_tree_view_set_selected_source
                                   (EMailSignatureTreeView *tree_view,
                                    ESource *selected_source);

## Types and Values

### struct EMailSignatureTreeView

    struct EMailSignatureTreeView {
    	GtkTreeView parent;
    	EMailSignatureTreeViewPrivate *priv;
    };